1.5.15 upgrade gives simplepie rss feed error - SOLVED

This forum is for reporting bugs in Joomla!. Please don't report problems with extensions in here.
Forum rules
Forum Rules
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Locked
wallyhowe
Joomla! Apprentice
Joomla! Apprentice
Posts: 19
Joined: Fri Nov 06, 2009 2:30 pm

1.5.15 upgrade gives simplepie rss feed error - SOLVED

Post by wallyhowe » Mon Nov 09, 2009 5:58 pm

After my 1.5.14 to 1.5.15 upgrade I get 'Error loading feed data' displayed at top of home page where there is a mod_feed module displaying a weather feed.

In the module position the following message appears:
Warning: file_get_contents(//newsrss.bbc.co.uk/weather/forecast/2576/Next3DaysRSS.xml?area=SW14) [function.file-get-contents]: failed to open stream: No error in C:\XAMPP\htdocs\mywebsite\libraries\simplepie\simplepie.php on line 7853

I substituted the simplepie.php file with the one from 1.5.14 and the page loads correctly.

Is this a 1.5.15 problem or a problem in my own site?

I am using PHP 5.2.9

Update:
I have set up a fresh build using PHP 5.3.0 and the full 1.5.15 release and get the same error

PROBLEM SOLVED: By deleting the module, setting it up afresh from the mod_feed modfule.

wsfsb
Joomla! Apprentice
Joomla! Apprentice
Posts: 13
Joined: Wed Nov 18, 2009 3:18 am

Re: 1.5.15 upgrade gives simplepie rss feed error - SOLVED

Post by wsfsb » Sun Nov 22, 2009 4:57 am

I have the same problem. We what made it difficult to diagnose the cause was moving to a new server and upgrading to 1.5.15 in the same week.

We have recompiled apache, numerous times, different php versions, firewall on and off you name it we have tried it! Still unable to load rss feeds that are xml based, asp and others are very slow to load but do load.

Is this really the new simplepie.php that was contained in the 1.5.15 version because i have the same "feed load error/feed cannot be retrieved" error in 1.5.14 as well (on my new server).

I dont think this is solved, at least not for us and we have had three tech / server guys working on it!

Jason

wallyhowe
Joomla! Apprentice
Joomla! Apprentice
Posts: 19
Joined: Fri Nov 06, 2009 2:30 pm

Re: 1.5.15 upgrade gives simplepie rss feed error - NOT SOLVED

Post by wallyhowe » Sun Nov 22, 2009 9:00 am

Jason

I agree with you that it is not solved. My solution was a work around. I have altered the title to reflect this.

I upgraded another site and creating the module afresh did not work that time. I got the same error.

I deleted the RSS address in the module and set it up again from scratch and even though it was the same address, this time it worked.

I can offer no explanation for this.

Does re-inputting the address work for you?

Wallyhowe

wsfsb
Joomla! Apprentice
Joomla! Apprentice
Posts: 13
Joined: Wed Nov 18, 2009 3:18 am

Re: 1.5.15 upgrade gives simplepie rss feed error - SOLVED

Post by wsfsb » Sun Nov 22, 2009 11:08 am

Its quite perplexing, but possibly server related as rss feeds in wordpress also give the error.

This is what we have tried:
1/ to verify that the issue is not account specific we installed wordpress with an rss feed on another domains, no luck
2/ copied our default working php.ini file onto server. no luck
3/ recompiled without suhosin, no luck
4 / deleted the disable functions in php.ini . no luck
5/ double checked the DNS to make sure its propagating
6/ recompiled with php4 , no luck
7/ upgraded to recent WHM release, no results
8/ disabled firewall, no luck
9/ made sure fsocks open was enabled. no luck
10/ made sure url_allow was enabled, no luck
11/ safe mode is off
12/ xml is enabled
13/ Zlib is enabled
14 / iconv is ebabled
15 / cache enabled and permissions are correct
16/ the simplepie test script passes the server as up to spec and OK
17/ 1.5.15 .htaccess and any previous versions tried no luck

Need someone who understands the process of the server retriving an external xml rss feed and parsing it into Joomla to find where the error or block is. You can wrap the feed in joomla, I just cant use the news feeds or mod_feed at all with an xml based RSS feed. It seems that feeds with a path ending with / work and ones in asp work.

Beats me!

Anyone else know what is happening?

Jason

wallyhowe
Joomla! Apprentice
Joomla! Apprentice
Posts: 19
Joined: Fri Nov 06, 2009 2:30 pm

Re: 1.5.15 upgrade gives simplepie rss feed error - SOLVED

Post by wallyhowe » Sun Nov 22, 2009 12:37 pm

I am not technical enough to delve into such depths but for what it is worth the problem was the same whether I ran the site from my local PC under XAMPP or from the hosted server.

This problem must be more widespread than just the two of us.

Walyhowe

iapad
Joomla! Fledgling
Joomla! Fledgling
Posts: 2
Joined: Wed Mar 11, 2009 5:53 am

Re: 1.5.15 upgrade gives simplepie rss feed error - SOLVED

Post by iapad » Mon Nov 23, 2009 12:47 pm

I am experiecing the same problem! Setting it up ex-novo did not solve the problem.

wsfsb
Joomla! Apprentice
Joomla! Apprentice
Posts: 13
Joined: Wed Nov 18, 2009 3:18 am

Re: 1.5.15 upgrade gives simplepie rss feed error - SOLVED

Post by wsfsb » Mon Nov 23, 2009 11:47 pm

I have two dedicated servers, still online with different IP's obviously.

I have the same version of joomla installed on both servers.

One server works, the other doesnt.

Im pretty sure this isnt a Joomla code problem. Have others made server changes?

Jason

wallyhowe
Joomla! Apprentice
Joomla! Apprentice
Posts: 19
Joined: Fri Nov 06, 2009 2:30 pm

Re: 1.5.15 upgrade gives simplepie rss feed error - SOLVED

Post by wallyhowe » Tue Nov 24, 2009 9:14 am

I did not make any server changes either locally or on the hosted site. I simple worked on the module and that went from not working to working.

wallyhowe

terko
Joomla! Fledgling
Joomla! Fledgling
Posts: 1
Joined: Tue Dec 15, 2009 12:57 pm

Re: 1.5.15 upgrade gives simplepie rss feed error - SOLVED

Post by terko » Tue Dec 15, 2009 12:59 pm

In my case a wrc.com news feed worked well on one server. But after migrating the site to another server wrc.com news feed didn't work anymore (other rss feeds worked on that server too).

A difference was noticed by the server administrator: libxml version 2.6.31 was installed in an old server and version 2.7.3 was used in not working server. Can any server admin confirm, is there a problem (and consequently a solution)?

wsfsb
Joomla! Apprentice
Joomla! Apprentice
Posts: 13
Joined: Wed Nov 18, 2009 3:18 am

Re: 1.5.15 upgrade gives simplepie rss feed error - SOLVED

Post by wsfsb » Tue Dec 15, 2009 11:44 pm

I am running these versions and it is not working

libxml2-2.6.26-2.1.2.8
libxml2-python-2.6.26-2.1.2.8
libxml2-devel-2.6.26-2.1.2.8
libxml2-2.6.26-2.1.2.8
libxml2-devel-2.6.26-2.1.2.8

User avatar
felfert
Joomla! Explorer
Joomla! Explorer
Posts: 397
Joined: Fri Apr 13, 2007 10:37 pm
Location: Ludwigsburg, Germany
Contact:

Re: 1.5.15 upgrade gives simplepie rss feed error - SOLVED

Post by felfert » Thu Jan 07, 2010 6:59 am

Hi guys,

I got exactly the same error and it definitively is triggered by the new SimplePie. Fortunately i just had the time to dig a little deeper: The new version does some sanity-checks regarding XML parsing. In simplepie.php, in function init() (around line 1507), the following code-snippet can be seen:

Code: Select all

        // Then check the xml extension is sane (i.e., libxml 2.7.x issue on PHP < 5.2.9 and libxml 2.7.0 to 2.7.2 on any version) if we don't have xmlreader.
        elseif (!extension_loaded('xmlreader'))
        {
            static $xml_is_sane = null;
            if ($xml_is_sane === null)
            {
                $parser_check = xml_parser_create();
                xml_parse_into_struct($parser_check, '<foo>&</foo>', $values);
                xml_parser_free($parser_check);
                $xml_is_sane = isset($values[0]['value']);
            }
            if (!$xml_is_sane)
            {
                return false;
            }
        }
The comment says it all: Apparently there are XML parsing issues with libxml2 in combination with various PHP versions. Fortunately, they use the PHP extension 'xmlreader' (if installed) to circumvent these issues. On one of my servers (the failing one), this extension was not installed. After installing it, everything started working ...

Summary:
  • Option 1: Install the PHP extension 'xmlreader' (you can check in Joomla's PHP-info if it's installed)
  • Option 2: Avoid libxml2 versions 2.7.0 - 2.7.2 and if your version is => 2.7.x, then make shure, you have at least PHP 5.2.9
Hope this helps ...
-Fritz
Last edited by felfert on Thu Jan 07, 2010 4:47 pm, edited 1 time in total.

wsfsb
Joomla! Apprentice
Joomla! Apprentice
Posts: 13
Joined: Wed Nov 18, 2009 3:18 am

Re: 1.5.15 upgrade gives simplepie rss feed error - SOLVED

Post by wsfsb » Thu Jan 07, 2010 10:01 am

Hi,

I have PHP ver 5.2.10
I have xmlreader enabled
I have libxml2-2.6.26-2.1.2.8

Still Showing

Error loading feed data
Error. Feed not retrieved

:'(

User avatar
felfert
Joomla! Explorer
Joomla! Explorer
Posts: 397
Joined: Fri Apr 13, 2007 10:37 pm
Location: Ludwigsburg, Germany
Contact:

Re: 1.5.15 upgrade gives simplepie rss feed error - SOLVED

Post by felfert » Thu Jan 07, 2010 5:06 pm

wsfsb wrote:Hi,

I have PHP ver 5.2.10
I have xmlreader enabled
I have libxml2-2.6.26-2.1.2.8

Still Showing

Error loading feed data
Error. Feed not retrieved

:'(
Then - apparently - your problem is of a completely different nature. It just happens to have the same effect. Unfortunately, the error message is pretty generic and tells nothing about the actual cause (lots of possible other reasons). In such a case, the only way to find out what's going on, is to debug simplepie's (resp. Joomla's) code.

Another option (as a last resort):
Get the file simplepie.php from J1.5.14 and copy it over the new version. Since it's API didn't change, that actually works (just tried it here).

-Fritz

wallyhowe
Joomla! Apprentice
Joomla! Apprentice
Posts: 19
Joined: Fri Nov 06, 2009 2:30 pm

Re: 1.5.15 upgrade gives simplepie rss feed error - SOLVED

Post by wallyhowe » Thu Jan 07, 2010 5:46 pm

This is where I came in.
When I started this thread my first trial was to copy the 1.5.14 version back over the 1.5.15 version in my local system and it worked. But assuming the new 1.5.15 Simplepie is the one to be developed going onwards then it was not a solution, only a temporary fix. (I wish i had not added the SOLVED bit - that is probably stopping Joomla development from looking at it.)
I copied back the 1.5.15 version. What I then did was retype in the RSS feed address and that made it work.
Exactly the same thing happened when I retyped in the RSS feed address in the live version.
So - explain that.
Has anyone else tried just retyping in the address instead of leaving as it was from the update?
Wallyhowe

User avatar
felfert
Joomla! Explorer
Joomla! Explorer
Posts: 397
Joined: Fri Apr 13, 2007 10:37 pm
Location: Ludwigsburg, Germany
Contact:

Re: 1.5.15 upgrade gives simplepie rss feed error - SOLVED

Post by felfert » Thu Jan 07, 2010 6:53 pm

wallyhowe wrote:This is where I came in.
When I started this thread my first trial was to copy the 1.5.14 version back over the 1.5.15 version in my local system and it worked. But assuming the new 1.5.15 Simplepie is the one to be developed going onwards then it was not a solution, only a temporary fix. (I wish i had not added the SOLVED bit - that is probably stopping Joomla development from looking at it.)
I copied back the 1.5.15 version. What I then did was retype in the RSS feed address and that made it work.
Exactly the same thing happened when I retyped in the RSS feed address in the live version.
So - explain that.
Has anyone else tried just retyping in the address instead of leaving as it was from the update?
Wallyhowe
Most likely, you saw cached feed data. When changing the feed URL, Joomla invalidates its cache, thus triggering a re-fetch. In your case, it probably just was a temporary connection-failure when connecting to the feed. To get reliable results after exchanging simplepie (or anything at all), always clear all of Joomla's cache in the backend and then shift-reload the concerning page in the frontend.

-Fritz

wsfsb
Joomla! Apprentice
Joomla! Apprentice
Posts: 13
Joined: Wed Nov 18, 2009 3:18 am

Re: 1.5.15 upgrade gives simplepie rss feed error

Post by wsfsb » Fri Jan 08, 2010 6:06 am

felfert wrote:
wsfsb wrote:Hi,

I have PHP ver 5.2.10
I have xmlreader enabled
I have libxml2-2.6.26-2.1.2.8

Still Showing

Error loading feed data
Error. Feed not retrieved

:'(
Then - apparently - your problem is of a completely different nature. It just happens to have the same effect. Unfortunately, the error message is pretty generic and tells nothing about the actual cause (lots of possible other reasons). In such a case, the only way to find out what's going on, is to debug simplepie's (resp. Joomla's) code.

Another option (as a last resort):
Get the file simplepie.php from J1.5.14 and copy it over the new version. Since it's API didn't change, that actually works (just tried it here).

-Fritz
Have tried that also...not fixed.

rcolby
Joomla! Apprentice
Joomla! Apprentice
Posts: 9
Joined: Thu Jan 07, 2010 10:45 pm

Re: 1.5.15 upgrade gives simplepie rss feed error - SOLVED

Post by rcolby » Wed Jan 13, 2010 10:12 pm

I was having this same rss feed error problem with a fresh stable install of 1.5.15

My problem was resolved when I replaced /libraries/simplepie/simplepie.php with simplepie.php from 1.5.14
before trying I cleared ALL cache and also purged expired cache

Feeds are working fine now.

wallyhowe
Joomla! Apprentice
Joomla! Apprentice
Posts: 19
Joined: Fri Nov 06, 2009 2:30 pm

Re: 1.5.15 upgrade gives simplepie rss feed error - SOLVED

Post by wallyhowe » Thu Jan 14, 2010 9:12 am

So clearly there is a problem with 1.5.15 simplepie.
how do we get someone to look at it and fix it else we will have the same problems when the next release comes?
Wallyhowe

status206
Joomla! Apprentice
Joomla! Apprentice
Posts: 46
Joined: Tue Nov 10, 2009 1:03 am

Re: 1.5.15 upgrade gives simplepie rss feed error - SOLVED

Post by status206 » Sun Feb 07, 2010 1:40 am

If you need 1.5.14

Download link is available on this page.

http://www.joomla.org/announcements/rel ... eased.html
I'm new here. Don't hurt me. I bite.

User avatar
infograf768
Joomla! Master
Joomla! Master
Posts: 18881
Joined: Fri Aug 12, 2005 3:47 pm
Location: **Translation Matters**

Re: 1.5.15 upgrade gives simplepie rss feed error - SOLVED

Post by infograf768 » Sun May 02, 2010 5:53 am

This issue is solved in 1.5.17.
Jean-Marie Simonet / infograf · http://www.info-graf.fr
---------------------------------
ex-Joomla Translation Coordination Team • ex-Joomla! Production Working Group

wsfsb
Joomla! Apprentice
Joomla! Apprentice
Posts: 13
Joined: Wed Nov 18, 2009 3:18 am

Re: 1.5.15 upgrade gives simplepie rss feed error - SOLVED

Post by wsfsb » Sun May 02, 2010 7:08 am

Thanks. I eagerly installed 1.5.16 last week and noticed the page goes blank on loading, no source code at all.

So i was even eager to try 1.5.17. Sadly the result is the same. Although there is no error :) there just isnt any page content either.

I was begining to think this had to be my server, i am still uncertain seeing the changes after the last two updates.

Jason

wsfsb
Joomla! Apprentice
Joomla! Apprentice
Posts: 13
Joined: Wed Nov 18, 2009 3:18 am

Re: 1.5.15 upgrade gives simplepie rss feed error - SOLVED

Post by wsfsb » Sun May 30, 2010 7:22 am

Well who said never flog a dead horse?

I had another crack at this today and i have had some success. This issue commenced when i transferred servers. The lack of error codes hasnt helped but i installed Simplepie and tested that again today. Discovered CURL error 6 which is related to a failure to resolve the URL.

This led me to look at how my server /etc/resolv.conf was setup, this seems to be the problem. The server resolver configuration (WHM>Resolver Configuration) had IP enteries that were not working. The server admin suggested chaning it to
8.8.8.8 and 8.8.4.4 and bingo, External RSS feeds are working for us again.

Hell a bloody yula!

Maybe you guys could try the same?

Jason

User avatar
Lacoste
Joomla! Fledgling
Joomla! Fledgling
Posts: 2
Joined: Fri Jul 02, 2010 9:33 pm
Location: Washington, D.C.

Re: 1.5.15 upgrade gives simplepie rss feed error - SOLVED

Post by Lacoste » Fri Jul 02, 2010 9:38 pm

Had the same error "Unable to load feed data" after upgrading from .10, but could not find any feeds we were using. Found the solution in this thread: http://forum.joomla.org/viewtopic.php?p ... 2#p1540432 Modules -> Administrator -> Joomla! Security NewsFeed was enabled and couldn't reach out through our proxy.

Posting here since I found this thread first and someone may need this solution.

Lacoste

skaffy76
Joomla! Fledgling
Joomla! Fledgling
Posts: 1
Joined: Thu Jan 05, 2012 3:20 pm

Re: 1.5.15 upgrade gives simplepie rss feed error - NOT SOLV

Post by skaffy76 » Thu Jan 05, 2012 3:31 pm

Hello,

I have the same problem. My website worked perfectly for a pretty long time and suddenly I´m getting now the mentioned error message(s).

Some facts:
1) My Site: Joomla 1.5.25
2) all Feedlinks are correkt/working.
3) „allow_url_fopen“ is active in php.ini (PHP 5.2.17)
4) XMLreader: enabled
5) error appears just in front-end
6) other rss-feeds are working

For example:
http://www.heise.de/newsticker/heise.rdf (RSS 0.9.0) > works fine

My own rss-feed from my forum:
http://www.bmw-einzylinder.de/forum/ind ... ;limit=255 > is not working

As mentioned everything was working fine for quite a while; I guess that the problems started with an upgrade (1.5.24 or .25).

Would it help to upgrade "simplepie"? How can I do that?

Sorry, I´m still learning "joomla".

Thanks a lot

Skaffy76


Locked

Return to “Joomla! 1.5 Bug Reporting”